Diseases Genes
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/diseases/genesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/diseases/genes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/diseases/genes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"pmids": [
"<string>"
],
"term_name": "<string>",
"gene_symbol": "<string>",
"association_type": "<string>",
"association_status": "<string>",
"sgc_id": "<string>",
"hgnc": "<string>",
"classification": "<string>",
"moi_id": "<string>",
"moi_name": "<string>",
"submitter": "<string>",
"source": "<string>",
"source_url": "<string>",
"gene": "<string>",
"disease": "<string>",
"inheritance_mode": "<string>",
"variants": [
{
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>"
}
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Diseases Genes
Retrieve disease-gene pairs from Orphanet and GenCC by diseases.
Set verbose = true to retrieve full info on the genes and diseases.
Example: disease_name = fibrosis,
disease_id = Orphanet_586,
source = Orphanet.
Either disease_name or disease_id are required.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Diseases Genes
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/diseases/genesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/diseases/genes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/diseases/genes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"pmids": [
"<string>"
],
"term_name": "<string>",
"gene_symbol": "<string>",
"association_type": "<string>",
"association_status": "<string>",
"sgc_id": "<string>",
"hgnc": "<string>",
"classification": "<string>",
"moi_id": "<string>",
"moi_name": "<string>",
"submitter": "<string>",
"source": "<string>",
"source_url": "<string>",
"gene": "<string>",
"disease": "<string>",
"inheritance_mode": "<string>",
"variants": [
{
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>"
}
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
GenCC, Orphanet Available options:
Homo sapiens Available options:
true, false Response
Successful response
Show child attributes
Show child attributes